#version 120
	
	varying vec2 TexCoord;
	uniform sampler2D BlurTex;
	uniform float Height;	
	
	uniform float Weight[10];

	// First blur pass
	vec4 pass3()
	{
		float size = 2.0;
		float dy = 1.5 / Height;
		
		vec4 tex = texture2D(BlurTex, TexCoord);
		vec4 sum = tex * Weight[0];
		
		for( int i = 1; i < 10; i++ )
		{
			sum += texture2D( BlurTex, TexCoord + vec2( 0.0, float(i) ) * dy ) * Weight[i];
			sum += texture2D( BlurTex, TexCoord - vec2( 0.0, float(i) ) * dy ) * Weight[i];
			
		}
		return sum;
	}

	void main()
	{
		// This will call pass1(), pass2(), pass3(), or pass4()
		gl_FragColor = pass3();
	}